import { Context } from 'typedoc';
import { AppiumPluginLogger } from '../logger';
import { BaseConverter } from './base-converter';
import { KnownMethods } from './types';
/**
 * Name of the module containing `ExternalDriver`
 */
export declare const NAME_TYPES_MODULE = "@appium/types";
/**
 * Name of `ExternalDriver` interface
 */
export declare const NAME_EXTERNAL_DRIVER = "ExternalDriver";
/**
 * Converts `@appium/types` into a `KnownMethods`, if it can.
 */
export declare class BuiltinInterfaceConverter extends BaseConverter<KnownMethods> {
    #private;
    protected ctx: Context;
    /**
     * Creates a child logger for this instance
     * @param ctx Typedoc Context
     * @param log Logger
     */
    constructor(ctx: Context, log: AppiumPluginLogger);
    convert(): KnownMethods;
}
//# sourceMappingURL=builtin-interface.d.ts.map