"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProjectCommands = void 0;
/**
 * Represents all command data for a TypeDoc project.
 *
 * This is a map which refuses to add values that have no command data
 */
class ProjectCommands extends Map {
    set(key, value) {
        if (value.hasData) {
            return super.set(key, value);
        }
        return this;
    }
}
exports.ProjectCommands = ProjectCommands;
//# sourceMappingURL=module-commands.js.map