"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PkgCommands = void 0;
/**
 * Data structure describing routes and commands for a particular module (or project),
 * including execute methods (if any)
 */
class PkgCommands {
    constructor(routeMap = new Map(), execMethodDataSet = new Set()) {
        this.routeMap = routeMap;
        this.execMethodDataSet = execMethodDataSet;
        this.routesByCommandName = new Map();
        for (const [route, commandMap] of routeMap) {
            for (const [command] of commandMap) {
                const routes = this.routesByCommandName.get(command) ?? new Set();
                routes.add(route);
                this.routesByCommandName.set(command, routes);
            }
        }
    }
    /**
     * Returns `true` if this instance has some actual data
     */
    get hasData() {
        return Boolean(this.execMethodDataSet.size + this.routeMap.size);
    }
}
exports.PkgCommands = PkgCommands;
//# sourceMappingURL=pkg-commands.js.map